<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Namespace: filters</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Namespace: filters</h1>

    




<section>

<header>
    
        <h2>
            <span class="ancestors"><a href="module-util.html">util</a>~</span>filters</h2>
        
    
</header>

<article>
    <div class="container-overview">
    
        

        


<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="util_createFilter.js.html">util/createFilter.js</a>, <a href="util_createFilter.js.html#line10">line 10</a>
    </li></ul></dd>
    

    

    

    
</dl>


        
    
    </div>

    

    

    

    

    

    

    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    
    <h4 class="name" id="~createFilter"><span class="type-signature">(async, inner) </span>createFilter<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Creates query from selected filters according to which ontologies will be found
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="util_createFilter.js.html">util/createFilter.js</a>, <a href="util_createFilter.js.html#line14">line 14</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Modules</h3><ul><li><a href="module-database.html">database</a></li><li><a href="module-models.html">models</a></li><li><a href="module-routes.html">routes</a></li><li><a href="module-util.html">util</a></li></ul><h3>Namespaces</h3><ul><li><a href="module-database-db.html">db</a></li><li><a href="module-models-ontologies.html">ontologies</a></li><li><a href="module-routes-router.html">router</a></li><li><a href="module-util-filters.html">filters</a></li><li><a href="module-util-imports.html">imports</a></li><li><a href="module-util-ranges.html">ranges</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.6</a> on Sun Apr 11 2021 17:28:06 GMT+0200 (stredoeurópsky letný čas)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>